Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSSchemaDefElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSSchemaDefElement

All Implemented Interfaces:
  XDSElement

public class XDSSchemaDefElement
extends ElementImpl

A `<schema-def>` element.

See Also:
  `XDSSchemaResultDocument.appendSchemaDefElement()`

Method Summary
`XDSClassDefElement` | `appendClassDefElement()` Appends an empty child `<class-def>` element to this element.
`void` | `setApplicationName(String someName)` Sets this element's `application-name` attribute to `someName`.
`void` | `setDNDelims(String someDelims)` Sets this element's `dn-delims` attribute to `someDelims`.
`void` | `setDNFormat(DNFormat someFormat)` Sets this element's `dn-format` attribute to `someFormat`.
`void` | `setHierarchical(boolean isHierarchical)` Sets this element's `hierarchical` attribute to `isHierarchical`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setApplicationName

    public void setApplicationName(String someName)

  Sets this element's `application-name` attribute to `someName`.

  Invocation Context:
    WRITE

  Parameters:
    `someName` - if `null` or `""`, no action is taken

### setHierarchical

    public void setHierarchical(boolean isHierarchical)

  Sets this element's `hierarchical` attribute to `isHierarchical`.

  Invocation Context:
    WRITE

  Parameters:
    `isHierarchical` - is this schema hierarchical?

### setDNFormat

    public void setDNFormat(DNFormat someFormat)

  Sets this element's `dn-format` attribute to `someFormat`.

  Invocation Context:
    WRITE

  Parameters:
    `someFormat` - what DN format does this schema use?
  Since:
    DTD 2.0

### setDNDelims

    public void setDNDelims(String someDelims)

  Sets this element's `dn-delims` attribute to `someDelims`.

  Invocation Context:
    WRITE

  Parameters:
    `someDelims` - what are the DN delimiters for this schema?
  Since:
    DTD 2.0

### appendClassDefElement

    public XDSClassDefElement appendClassDefElement()

  Appends an empty child `<class-def>` element to this element.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD